package com.owrawww.domain.mapper;

import com.owrawww.domain.User;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Optional;

@Mapper
public interface UserMapper {

    Optional<User> findByUsername(String username);

    List<User> findAll();

    void insert(User user);

    void update(User user);

    void deleteById(Long id);
}
